<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.phpfusion.com/
+--------------------------------------------------------+
| Filename: accept_privacy.php
| Author: André Krell (systemweb.de)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

$locale = fusion_get_locale('', LOCALE.LOCALESET."print.php");

add_to_title(" - Datenschutzerklärung akzeptieren");

if(IsSet($_POST['rules_accepted']) && $_POST['rules_accepted'] == '1') {
	$_SESSION['privacy_accepted'] = 'True';
	redirect(FUSION_REQUEST);
	exit;
}
elseif(IsSet($_POST['accept_privacy_rules'])) {
	addNotice("danger", "FEHLER: Bitte das Häkchen zum Bestätigen setzen.");
}

opentable("<i class='fa fa-exclamation-circle'></i> Bestätigung erforderlich");
	echo "<p>Um zum nächsten Schritt zu gelangen ist zuvor die Kenntnisnahme unserer Datenschutzerklärung zu bestätigen.</p>\n";
closetable();

opentable("Datenschutzerklärung");
	echo "<div class='well' style='display: block; height: 350px; margin: 0; overflow: scroll;'>\n";
	echo "<p>".parse_textarea($settings['privacy_policy'], TRUE, TRUE, TRUE, IMAGES, FALSE, FALSE)."</p>\n";
	echo "</div>\n";
	echo openform('privacyform', 'post', FUSION_REQUEST);
	echo "<div class='tbl-border tbl1' style='display: block; width: 100%; height: auto; text-align: left; margin: 0;'>\n<br />\n";
	echo form_checkbox('rules_accepted', 'Ich habe die Datenschutzerklärung gelesen und möchte fortfahren', '', ['toggle' => FALSE]);
	echo form_button('accept_privacy_rules', 'weiter', 'weiter', ['class' => 'btn-primary']);
	echo "</div>\n";
	echo closeform();
closetable();