<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.phpfusion.com/
+--------------------------------------------------------+
| Filename: privacy.php
| Author: André Krell (Systemweb)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once __DIR__.'/maincore.php';
require_once THEMES.'templates/header.php';

$settings = fusion_get_settings();
$locale = fusion_get_locale('', LOCALE.LOCALESET."print.php");

if (iMEMBER) {
    dbquery("UPDATE ".DB_USERS." SET user_lastvisit='".time()."', user_ip='".USER_IP."', user_ip_type='".USER_IP_TYPE."' WHERE user_id='".fusion_get_userdata('user_id')."'");
}

\PHPFusion\BreadCrumbs::getInstance()->addBreadCrumb(['link' => BASEDIR."privacy.php".fusion_get_aidlink(), 'title' => $locale['700']]);
echo render_breadcrumbs();

add_to_title($locale['700']);

opentable($locale['700']);
echo "<div class='text-right'><a class='btn btn-default btn-xs' href='".BASEDIR."print.php?type=P' target='_blank'><i class='fas fa-print'></i> Druckansicht</a></div>
".parse_textarea($settings['privacy_policy'], TRUE, TRUE, TRUE, IMAGES, FALSE, FALSE)."\n";
closetable();

require_once THEMES.'templates/footer.php';
